Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_StreamEndPoint_A Class Reference

The "A" side of a streamendpoint. More...

`#include <AVStreams_i.h>`

Inheritance diagram for TAO_StreamEndPoint_A

[legend]
Collaboration diagram for TAO_StreamEndPoint_A:

[legend]
List of all members.

## Public Methods
| TAO_StreamEndPoint_A (void)
| Constructor.
virtual CORBA::Boolean | multiconnect (AVStreams::streamQoS &the_qos, AVStreams::flowSpec &the_spec, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)
| Used for ATM-style multicast.
virtual CORBA::Boolean | connect_leaf (AVStreams::StreamEndPoint_B_ptr the_ep, AVStreams::streamQoS &the_qos, const AVStreams::flowSpec &the_flows, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::streamOpFailed, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::notSupported)
| Used for ATM-style multicast.
virtual void | disconnect_leaf (AVStreams::StreamEndPoint_B_ptr the_ep, const AVStreams::flowSpec &theSpec, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::streamOpFailed, AVStreams::noSuchFlow, AVStreams::notSupported)
| Used to remove a multicast leaf.
virtual | ~TAO_StreamEndPoint_A (void)
| Destructor.

## Detailed Description

The "A" side of a streamendpoint.

## Constructor & Destructor Documentation

TAO_StreamEndPoint_A::TAO_StreamEndPoint_A ( | void )

| Constructor.

TAO_StreamEndPoint_A::~TAO_StreamEndPoint_A ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

CORBA::Boolean TAO_StreamEndPoint_A::connect_leaf ( | AVStreams::StreamEndPoint_B_ptr the_ep,
| AVStreams::streamQoS & the_qos,
| const AVStreams::flowSpec & the_flows,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::streamOpFailed, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::notSupported)`[virtual]`

| Used for ATM-style multicast.

void TAO_StreamEndPoint_A::disconnect_leaf ( | AVStreams::StreamEndPoint_B_ptr the_ep,
| const AVStreams::flowSpec & theSpec,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::streamOpFailed, AVStreams::noSuchFlow, AVStreams::notSupported)`[virtual]`

| Used to remove a multicast leaf.

CORBA::Boolean TAO_StreamEndPoint_A::multiconnect ( | AVStreams::streamQoS & the_qos,
| AVStreams::flowSpec & the_spec,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)`[virtual]`

| Used for ATM-style multicast. Reimplemented from TAO_StreamEndPoint.

The documentation for this class was generated from the following files:

- AVStreams_i.h
- AVStreams_i.cpp